{%- from "ironic/map.jinja" import api with context %}
{%- set Ironic_Test_Node_ID = salt['cmd.run']('cat /proc/sys/kernel/random/uuid') %}

ironic_upgrade_verify_api:
  test.show_notification:
    - text: "Running ironic.upgrade.verify.api"

{%- if api.api_type not in ["deploy"] and api.get('role', 'secondary') == 'primary' %}
ironicv1_node_present_update:
  ironicv1.node_present:
  - name: test
  - cloud_name: admin_identity
  - driver: fake
  - uuid: {{ Ironic_Test_Node_ID }}
  - extra:
      a: b
  - microversion: "1.34"

ironicv1_port_present:
  ironicv1.port_present:
  - cloud_name: admin_identity
  - node: test
  - address: "11:11:11:11:11:11"

ironicv1_port_absent:
  ironicv1.port_absent:
  - cloud_name: admin_identity
  - node: test
  - address: "11:11:11:11:11:11"

ironicv1_node_absent:
  ironicv1.node_absent:
  - cloud_name: admin_identity
  - name: test

{%- endif %}
